EarlyExercisePathPricer< PathType, TimeType, ValueType > Class Template Referenceabstract
Monte Carlo framework

base class for early exercise path pricers More...

`#include <ql/methods/montecarlo/earlyexercisepathpricer.hpp>`

## Public Types

typedef EarlyExerciseTraits< PathType >::StateType | StateType

## Public Member Functions

virtual ValueType | operator() (const PathType &path, TimeType t) const =0
virtual StateType | state (const PathType &path, TimeType t) const =0
virtual std::vector< boost::function1< ValueType, StateType > > | basisSystem () const =0

## Detailed Description

### template<class PathType, class TimeType = Size, class ValueType = Real>
class QuantLib::EarlyExercisePathPricer< PathType, TimeType, ValueType >

base class for early exercise path pricers

Returns the value of an option on a given path and given time.